eoRouletteWorthSelect(3)

NAME
eoRouletteWorthSelect - An instance of eoSelectPerf2Worth that does selection from the Worthes using a ...

SYNOPSIS

#include <eoSelectFromWorth.h>

Inherits eoSelectFromWorth< EOT, WorthT >.

  Public Types
typedef std::vector< WorthT >::iterator worthIterator

  Public Member Functions
eoRouletteWorthSelect (eoPerf2Worth< EOT, WorthT > &_perf2Worth)
virtual void setup (const eoPop< EOT > &_pop)
virtual function to setup some population stats (for instance eoProportional can benefit greatly from this)
virtual const EOT & operator() (const eoPop< EOT > &_pop)
The pure virtual function that needs to be implemented by the subclass.

  Private Attributes
double total

Detailed Description

  template<class EOT, class WorthT = double> class eoRouletteWorthSelect< EOT, WorthT >
An instance of eoSelectPerf2Worth that does selection from the Worthes using a ... roulette wheel selection, yes!

Definition at line 167 of file eoSelectFromWorth.h.

Author

Generated automatically by Doxygen for EO from the source code.